%define major		206
%define libname 	%mklibname duktape %{major}
%define devname		%mklibname duktape -d

Name:           duktape
Version:        2.6.0
Release:        %mkrel 1
Summary:        Embeddable Javascript engine
License:        MIT
Group:          System/Libraries
Url:            http://duktape.org/
Source0:        http://duktape.org/%{name}-%{version}.tar.xz
Source1:        duktape.pc.in
Patch0:         duktape-build.patch

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package -n %{libname}
Summary:        Embeddable Javascript engine

%description -n %{libname}
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       duktape-devel = %{version}-%{release}
Provides:       libduktape-devel = %{version}-%{release}

%description -n %{devname}
Embeddable Javascript engine.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%autopatch -p1

sed -e's|@prefix@|%{_prefix}|' \
    -e's|@libdir@|%{_lib}|' \
    -e's|@PACKAGE_VERSION@|%{version}|' \
    < %{SOURCE1} > %{name}.pc.in

sed -e '/^INSTALL_PREFIX/s|[^=]*$|%{_prefix}|' \
    -e '/install\:/a\\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/%{_lib}\n\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/include' \
    -e 's/\(\$.INSTALL_PREFIX.\)/$(DESTDIR)\1/g' \
    -e 's/\/lib\b/\/%{_lib}/g' \
     < Makefile.sharedlibrary > Makefile

%build
%set_build_flags
%make_build

%install
%make_install

install -Dm0644 %{name}.pc.in %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%license LICENSE.txt
%doc AUTHORS.rst
%{_libdir}/libduktape.so.%{major}{,.*}
%{_libdir}/libduktaped.so.%{major}{,.*}

%files -n %{devname}
%doc examples/ README.rst
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc


%changelog
* Tue Nov 17 2020 wally <wally> 2.6.0-1.mga8
+ Revision: 1646905
- new version 2.6.0
- new lib major 206

* Sun May 24 2020 wally <wally> 2.5.0-1.mga8
+ Revision: 1587246
- imported package duktape

